package com.ynet.life.services.http;

import com.ynet.life.base.Trace;
import java.net.HttpURLConnection;
import java.net.URL;

/* loaded from: com_ynet_life_services_http.jar:com/ynet/life/services/http/AsynchronousHttpService.class */
public class AsynchronousHttpService extends Thread {
    private String requestURL;

    public AsynchronousHttpService(String requestURL) {
        this.requestURL = requestURL;
    }

    @Override // java.lang.Thread, java.lang.Runnable
    public void run() {
        sendRequest(this.requestURL);
    }

    private static void sendRequest(String reqUrl) {
        HttpURLConnection urlConnection = null;
        try {
            try {
                HttpURLConnection httpURLConnection = (HttpURLConnection) new URL(reqUrl).openConnection();
                urlConnection = httpURLConnection;
                httpURLConnection.setRequestMethod("POST");
                urlConnection.setDoInput(true);
                urlConnection.setDoOutput(false);
                urlConnection.setUseCaches(false);
                urlConnection.setRequestProperty("User-Agent", "MSIE");
                urlConnection.connect();
                int resCode = urlConnection.getResponseCode();
                if (resCode != 200) {
                    Trace.logError("LifeHTTP", "HTTP通信异常，ResponseCode: ".concat(String.valueOf(resCode)));
                }
                if (urlConnection == null) {
                    return;
                }
                try {
                    urlConnection.disconnect();
                } catch (Exception e) {
                    Trace.logWarning("LifeHTTP", "URLConnection对象关闭异常", e);
                }
            } catch (Exception e2) {
                Trace.logError("LifeHTTP", "HTTP通信异常", e2);
                if (urlConnection != null) {
                    try {
                        urlConnection.disconnect();
                    } catch (Exception e3) {
                        Trace.logWarning("LifeHTTP", "URLConnection对象关闭异常", e3);
                    }
                }
            }
        } catch (Throwable th) {
            if (urlConnection != null) {
                try {
                    urlConnection.disconnect();
                } catch (Exception e4) {
                    Trace.logWarning("LifeHTTP", "URLConnection对象关闭异常", e4);
                }
            }
            throw th;
        }
    }
}
